Revision: 1336
http://svn.sourceforge.net/geany/?rev=1336&view=rev
Author: eht16
Date: 2007-02-25 09:27:46 -0800 (Sun, 25 Feb 2007)
Log Message:
-----------
Auto complete multi line comments only when auto completion of constructs is enabled.
Modified Paths:
--------------
trunk/ChangeLog
trunk/src/sci_cb.c
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2007-02-25 16:33:44 UTC (rev 1335)
+++ trunk/ChangeLog 2007-02-25 17:27:46 UTC (rev 1336)
@@ -7,6 +7,8 @@
commands and replace the selection with the output.
* data/filetype_extensions.conf, src/filetypes.c:
Added *.pod to Perl file patterns.
+ * src/sci_cb.c: Auto complete multi line comments only when auto
+ completion of constructs is enabled.
2007-02-25 Nick Treleaven <nick.treleaven(a)btinternet.com>
Modified: trunk/src/sci_cb.c
===================================================================
--- trunk/src/sci_cb.c 2007-02-25 16:33:44 UTC (rev 1335)
+++ trunk/src/sci_cb.c 2007-02-25 17:27:46 UTC (rev 1336)
@@ -343,11 +343,14 @@
sci_add_text(sci, text);
g_free(text);
}
+ }
+ if (app->pref_editor_auto_complete_constructs)
+ {
+ auto_multiline(sci, pos); // " * " auto completion in multiline C/C++/D/Java comments
+
+ sci_cb_auto_latex(idx, pos);
}
- // " * " auto completion in multiline C/C++/D/Java comments
- auto_multiline(sci, pos);
- if (app->pref_editor_auto_complete_constructs) sci_cb_auto_latex(idx, pos);
}
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
Revision: 1333
http://svn.sourceforge.net/geany/?rev=1333&view=rev
Author: ntrel
Date: 2007-02-25 05:08:01 -0800 (Sun, 25 Feb 2007)
Log Message:
-----------
Prevent undefined behaviour when using the Stop command that can kill
X when Geany is run from the KDE or Xfce menu (not from a terminal).
Should close #1668017.
Modified Paths:
--------------
trunk/ChangeLog
trunk/src/build.c
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2007-02-24 17:08:29 UTC (rev 1332)
+++ trunk/ChangeLog 2007-02-25 13:08:01 UTC (rev 1333)
@@ -1,3 +1,11 @@
+2007-02-25 Nick Treleaven <nick.treleaven(a)btinternet.com>
+
+ * src/build.c:
+ Prevent undefined behaviour when using the Stop command that can kill
+ X when Geany is run from the KDE or Xfce menu (not from a terminal).
+ Should close #1668017.
+
+
2007-02-24 Enrico Troeger <enrico.troeger(a)uvena.de>
* configure.in, Makefile.am, README.I18N, po/intl_stats.sh, po/LINGUAS:
Modified: trunk/src/build.c
===================================================================
--- trunk/src/build.c 2007-02-24 17:08:29 UTC (rev 1332)
+++ trunk/src/build.c 2007-02-25 13:08:01 UTC (rev 1333)
@@ -1516,13 +1516,13 @@
* perforce necessary for just killing a process). But we must use a signal which we can
* ignore because the main process get it too, it is declared to ignore in main.c. */
- gint resultpg, result;
+ gint result;
- // sent SIGQUIT to all the processes to the processes' own process group
+ g_return_if_fail(*pid > 1);
+
result = kill(*pid, SIGQUIT);
- resultpg = killpg(0, SIGQUIT);
- if (result != 0 || resultpg != 0)
+ if (result != 0)
msgwin_status_add(_("Process could not be stopped (%s)."), g_strerror(errno));
else
{
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
Revision: 1332
http://svn.sourceforge.net/geany/?rev=1332&view=rev
Author: ntrel
Date: 2007-02-24 09:08:29 -0800 (Sat, 24 Feb 2007)
Log Message:
-----------
Added note: See the src/*.c files for descriptions.
Modified Paths:
--------------
trunk/HACKING
Modified: trunk/HACKING
===================================================================
--- trunk/HACKING 2007-02-24 15:07:46 UTC (rev 1331)
+++ trunk/HACKING 2007-02-24 17:08:29 UTC (rev 1332)
@@ -13,6 +13,7 @@
-----------------
We aim to use callbacks.c only for Glade callbacks.
Avoid adding code to geany.h if it will fit better elsewhere.
+See the src/*.c files for descriptions.
Glade
-----
@@ -44,9 +45,10 @@
Libraries
---------
We prefer to use an unmodified version of Scintilla - any changes should be passed on to the
-maintainers at scintilla.org.
+maintainers at http://scintilla.org.
Tagmanager was originally taken from Anjuta 1.2.2, and parts of it (notably c.c) have been merged
from later versions of Anjuta. The independent Tagmanager library itself ceased development before
-Geany was started. It's source code parsing is mostly taken from Exuberant Ctags (ctags.sf.net).
+Geany was started. It's source code parsing is mostly taken from Exuberant Ctags (see
+http://ctags.sf.net).
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
Revision: 1331
http://svn.sourceforge.net/geany/?rev=1331&view=rev
Author: eht16
Date: 2007-02-24 07:07:46 -0800 (Sat, 24 Feb 2007)
Log Message:
-----------
Oops.
Modified Paths:
--------------
trunk/README.I18N
Modified: trunk/README.I18N
===================================================================
--- trunk/README.I18N 2007-02-24 15:03:18 UTC (rev 1330)
+++ trunk/README.I18N 2007-02-24 15:07:46 UTC (rev 1331)
@@ -12,7 +12,8 @@
msginit -l it_IT -o it.po -i geany.pot
This will create a file it.po. This file can be opened with a text editor (like Geany ;-)) or
-you can also use a graphical interface. I can suggest PoEdit, but there are several other GUIs.
+you can also use a graphical interface. I can suggest PoEdit(http://www.poedit.org/), but there
+are several other GUIs.
When you have finished editing the file, check the file with:
msgfmt -c --check-accelerators=_ it.po
@@ -40,6 +41,8 @@
I18n mailing list
-----------------
-There is also a mailing list dedicated to translation issues. Please go to Mailing lists for more information.
+There is also a mailing list dedicated to translation issues. Please visit
+http://geany.uvena.de/Support/MailingList for more information.
+
Contact: Frank Lanitz <frank(at)frank(dot)uvena(dot)de>
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
Revision: 1330
http://svn.sourceforge.net/geany/?rev=1330&view=rev
Author: eht16
Date: 2007-02-24 07:03:18 -0800 (Sat, 24 Feb 2007)
Log Message:
-----------
Moved list of available translations to new file po/LINGUAS.
Added readme file for translation information.
Added little shell script intl_stats.sh to display some basic translation statistics.
Modified Paths:
--------------
trunk/AUTHORS
trunk/ChangeLog
trunk/Makefile.am
trunk/configure.in
Added Paths:
-----------
trunk/README.I18N
trunk/po/LINGUAS
trunk/po/intl_stats.sh
Modified: trunk/AUTHORS
===================================================================
--- trunk/AUTHORS 2007-02-24 11:41:56 UTC (rev 1329)
+++ trunk/AUTHORS 2007-02-24 15:03:18 UTC (rev 1330)
@@ -1,3 +1,3 @@
-Enrico Troeger <enrico.troeger(a)uvena.de>
-Nick Treleaven <nick.treleaven(a)btinternet.com>
-Frank Lanitz <frank(a)frank.uvena.de>
+Enrico Troeger <enrico(dot)troeger(at)uvena(dot)de>
+Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
+Frank Lanitz <frank(at)frank(dot)uvena(dot)de>
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2007-02-24 11:41:56 UTC (rev 1329)
+++ trunk/ChangeLog 2007-02-24 15:03:18 UTC (rev 1330)
@@ -1,3 +1,12 @@
+2007-02-24 Enrico Troeger <enrico.troeger(a)uvena.de>
+
+ * configure.in, Makefile.am, README.I18N, po/intl_stats.sh, po/LINGUAS:
+ Moved list of available translations to new file po/LINGUAS.
+ Added readme file for translation information.
+ Added little shell script intl_stats.sh to display some basic
+ translation statistics.
+
+
2007-02-24 Nick Treleaven <nick.treleaven(a)btinternet.com>
* src/*.c:
Modified: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am 2007-02-24 11:41:56 UTC (rev 1329)
+++ trunk/Makefile.am 2007-02-24 15:03:18 UTC (rev 1330)
@@ -25,6 +25,9 @@
geany.spec \
geany.glade \
geany.gladep \
+ HACKING \
+ README.I18N \
+ po/intl_stats.sh \
$(SYS_DATA_FILES) \
$(WIN32_BUILD_FILES)
Added: trunk/README.I18N
===================================================================
--- trunk/README.I18N (rev 0)
+++ trunk/README.I18N 2007-02-24 15:03:18 UTC (rev 1330)
@@ -0,0 +1,45 @@
+Quick Guide for new translations
+--------------------------------
+
+If you want to translate Geany into another language, please go to the language statistics page
+(see below) to see whether your desired language already exists. If it already exists, please
+read the next section. Otherwise, get the SVN version of Geany, change to the po directory and
+start the new translation with:
+msginit -l ll_CC -o ll.po -i geany.pot
+
+Fill in ll with the language code and CC with the country code. For example, to translate Geany
+into Italian you would type:
+msginit -l it_IT -o it.po -i geany.pot
+
+This will create a file it.po. This file can be opened with a text editor (like Geany ;-)) or
+you can also use a graphical interface. I can suggest PoEdit, but there are several other GUIs.
+
+When you have finished editing the file, check the file with:
+msgfmt -c --check-accelerators=_ it.po
+
+Please take care of menu accelerators(strings containing a "_").
+The "_" character should also be in your translation. Additionally, it would be nice if these
+accelerators are not twice for two strings inside on dialog or sub menu.
+
+Then send the file to Frank Lanitz and he will add the translation.
+
+It is a good idea to write to Frank before you start or while translating, because he can give
+you some hints on translating and ensure that the translation is not already in progress.
+
+
+Notes for updating translations
+-------------------------------
+
+If you want to update an existing translation, please contact Frank Lanitz.
+He is supervising all translation issues and will contact the maintainer of the translation you
+want to update to avoid any conflicts.
+
+Some translation statistics can be found at: http://geany.uvena.de/i18n/
+
+
+I18n mailing list
+-----------------
+
+There is also a mailing list dedicated to translation issues. Please go to Mailing lists for more information.
+
+Contact: Frank Lanitz <frank(at)frank(dot)uvena(dot)de>
Modified: trunk/configure.in
===================================================================
--- trunk/configure.in 2007-02-24 11:41:56 UTC (rev 1329)
+++ trunk/configure.in 2007-02-24 15:03:18 UTC (rev 1330)
@@ -124,8 +124,7 @@
AC_SUBST(GETTEXT_PACKAGE)
AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE", [Gettext package.])
-# Add the languages which your application supports here.
-ALL_LINGUAS="be ca cs de es fi fr hu it nl pl pt_BR ru vi zh_CN zh_TW"
+ALL_LINGUAS="`sed -e '/^#/d' po/LINGUAS`" # take all languages found in file po/LINGUAS
AM_GLIB_GNU_GETTEXT
Added: trunk/po/LINGUAS
===================================================================
--- trunk/po/LINGUAS (rev 0)
+++ trunk/po/LINGUAS 2007-02-24 15:03:18 UTC (rev 1330)
@@ -0,0 +1,2 @@
+# set of available languages (in alphabetic order)
+be ca cs de es fi fr hu it nl pl pt_BR ru vi zh_CN zh_TW
Added: trunk/po/intl_stats.sh
===================================================================
--- trunk/po/intl_stats.sh (rev 0)
+++ trunk/po/intl_stats.sh 2007-02-24 15:03:18 UTC (rev 1330)
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Little shell script to display some basic statistics about Geany's translation
+# files. It also checks the menu accelerators.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+
+check_accelerators=""
+linguas=""
+me=`basename $0`
+
+
+usage()
+{
+ echo "usage: $me [OPTION] [languages...]"
+ echo
+ echo "OPTIONs are:"
+ echo "-h --help this help screen"
+ echo "-a --accelerators check also for menu accelerators"
+ echo "languages list of language codes which should be tested"
+ echo
+ echo "example: $me -a de fr hu"
+}
+
+
+# parse cmd line arguments
+while [ $# -gt 0 ]
+do
+ case $1 in
+ --accelerators)
+ check_accelerators="--check-accelerators=_"
+ ;;
+ -a)
+ check_accelerators="--check-accelerators=_"
+ ;;
+ --help)
+ usage;
+ exit 1;
+ ;;
+ -h)
+ usage;
+ exit 1;
+ ;;
+ *)
+ linguas="$linguas "$1
+ ;;
+ esac
+ shift
+done
+
+
+
+# if no languages where specified on the command line, take all mentioned languages in LINGUAS
+if [ -z "$linguas" ]
+then
+ linguas=`sed -e '/^#/d' LINGUAS`
+fi
+
+
+# do the work
+for lang in $linguas
+do
+ msgfmt --check --statistics $check_accelerators $lang.po;
+done
+
+
Property changes on: trunk/po/intl_stats.sh
___________________________________________________________________
Name: svn:executable
+ *
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
Revision: 1328
http://svn.sourceforge.net/geany/?rev=1328&view=rev
Author: eht16
Date: 2007-02-23 08:15:42 -0800 (Fri, 23 Feb 2007)
Log Message:
-----------
Removing Geany 0.10.1 branch.
Removed Paths:
-------------
branches/geany-0.10.1/
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
Revision: 1327
http://svn.sourceforge.net/geany/?rev=1327&view=rev
Author: eht16
Date: 2007-02-23 08:10:50 -0800 (Fri, 23 Feb 2007)
Log Message:
-----------
Tagging the 0.10.1 release.
Added Paths:
-----------
tags/Geany-0_10_1/
Copied: tags/Geany-0_10_1 (from rev 1326, branches/geany-0.10.1)
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.